Skip to main content
POST
/
variable
/
import
Import variables
curl --request POST \
  --url https://api.qovery.com/variable/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "overwrite": false,
  "vars": [
    {
      "name": "<string>",
      "value": "<string>",
      "scope": "APPLICATION",
      "is_secret": true
    }
  ]
}
'
{
  "total_variables_to_import": 123,
  "successful_imported_variables": [
    {
      "name": "<string>",
      "scope": "APPLICATION",
      "is_secret": true,
      "value": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Query Parameters

service_id
string<uuid>
required

service id

service_type
enum<string>
required

service type type of the service

Available options:
APPLICATION,
CONTAINER,
JOB,
HELM,
TERRAFORM

Body

application/json
overwrite
boolean
default:false
required
vars
object[]
required

Response

Import environment variables

total_variables_to_import
number
required
successful_imported_variables
object[]
required